Installation

πŸ“¦ Get your reliable react hooks library in a few minutes!

To incorporate the libraries, you will require to install them. Complete the prerequisites and instructions listed below to facilitate a seamless installation.

NPM

Prerequisite

Mojito Hooks has the necessity for NPM utilization. Therefore you have to install it on your device.

You can check if it is already built in your device by running the following command.

$ npm version

You will get the response containing the installed version:

{
  npm: '8.12.1',
  node: '16.15.1',
  v8: '9.4.146.24-node.21',
  uv: '1.43.0',
  zlib: '1.2.11',
  brotli: '1.0.9',
  ares: '1.18.1',
  modules: '93',
  nghttp2: '1.47.0',
  napi: '8',
  llhttp: '6.0.4',
  openssl: '1.1.1o+quic',
  cldr: '40.0',
  icu: '70.1',
  tz: '2021a3',
  unicode: '14.0',
  ngtcp2: '0.1.0-DEV',
  nghttp3: '0.1.0-DEV'
}

Installations

πŸ“˜

First thing first, clone Mojito Reference App to your local repository.

To install the hooks dependencies, you can run the following command in NPM:

$ npm install @mojito-mixers/hooks

You will get the successful response as shown in the image below:

11791179

Yarn

Prerequisite

If you are using Yarn to get the hooks library, you must install Yarn first. You can install it via NPM by using the following command:

npm install --global yarn

Or another alternative to installing Yarn is to download the installer.
This will give you a .msi file that, when run, will walk you through installing Yarn on Windows.

🚧

If you use the installer, you will first need to install Node.js.

You can test if Yarn has already been installed by checking the current version. Try it by running this command.

yarn --version

You will get the response containing the installed version:

1.22.19

Installations

πŸ“˜

First thing first, clone Mojito Reference App to your local repository.

To install the hooks dependencies, you can run the following command in Yarn:

$ yarn add @mojito-mixers/hooks